Building the unmodified rsb-gstreamer (with a current gstreamer installation via homebrew) currently fails on my Snow Leopard
(10.8.2) machine with the following error:

[ 77%] Building CXX object CMakeFiles/gstrsb.dir/src/gst_rsb_audio_sink.cpp.o
/Users/david/Documents/Uni/workspace/rsb-gstreamer/src/gst_rsb_audio_sink.cpp:227:30: error: call to member function
'setCreateTime' is ambiguous
    event->mutableMetaData().setCreateTime(GST_BUFFER_TIMESTAMP(buffer) / 1000);
    ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~
/usr/local/share/rsb/../../include/rsb/MetaData.h:106:10: note: candidate function
    void setCreateTime(const boost::uint64_t& time = 0);
         ^
/usr/local/share/rsb/../../include/rsb/MetaData.h:107:10: note: candidate function
    void setCreateTime(const double& time);
         ^
/usr/local/share/rsb/../../include/rsb/MetaData.h:108:10: note: candidate function not viable: no known conversion from
'unsigned long' to 'const boost::posix_time::ptime' for 1st argument;
    void setCreateTime(const boost::posix_time::ptime& time);
         ^
1 error generated.
make[2]: *** [CMakeFiles/gstrsb.dir/src/gst_rsb_audio_sink.cpp.o] Error 1
make[1]: *** [CMakeFiles/gstrsb.dir/all] Error 2
make: *** [all] Error 2

The attached patch (just casting the timestamp from gstreamer to a boost::uint64_t) makes it build and work again, but is probably not
a good and portable solution. Any ideas on what such a solution could look like?

Related issues:
Related to RSB GStreamer Integration - Bug # 1366: Ambiguous call to member f... Resolved 01/28/2013

History
#1 - 01/31/2013 07:28 PM - S. Wrede

Can you try again please using the new homebrew formular (rsb-gstreamer) and the current head version (brew install --HEAD rsb-gstreamer)? I
experienced the same problem in #1366 a few days ago, which should be fixed now.

#2 - 01/31/2013 07:29 PM - S. Wrede
- Status changed from New to Feedback

#3 - 08/13/2014 05:00 AM - J. Moringen
- Status changed from Feedback to Closed
rsb-gstreamer-osx-hack.diff 1.28 KB 11/20/2012 D. Klotz
